# Role: portage_binpkg_sync

## Description

Move built binpkgs to a host that acts as a Gentoo binhost.
Uses rsync for moving the files.

https://wiki.gentoo.org/wiki/Binary_package_guide

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.portage_binpkg_sync
  vars:
    ...
```

### Vars

`portage_binpkg_sync_binhosts`:

List of binhosts.

`portage_binpkg_sync_rsync_ionice_priority`:

IO priority for the rsync process.

`portage_binpkg_sync_rsync_nice_priority`:

Nice priority for the rsync process.

`portage_binpkg_sync_rsync_taskset_cpu_list`:

CPU pinning for the rsync process.

`portage_binpkg_sync_rsync_args`:

Arguments to pass for the rsync process.
